Subject: [renum] Usage of ULA

From: Jiangsheng <[email-masked]>
Date: Mon, 08 Aug 2011 02:19:05 +0000

In the IETF81 meeting, we have some quite different opinion regarding to whether we should recommend the usage of ULA. Some said it is very helpful for some scenario, particular to link multiple-site enterprise network together. Some said ULA addresses are dangerous, especially, they may be used like private addresses, therefore requests NAT66 services at the exit of enterprise network.

Authors' catch from the WG, mainly from Tim Chown (wg chair) and Mark Townsley is: ULA can be recommended, but ULA should not be the only IPv6 address on the hosts. If the host is allow to access or be reachable by the internet (outside of enterprise network), the host should have at least a global IPv6 address besides ULA.

Sheng

---

From: Tim Chown <[email-masked]>
Date: Mon, 8 Aug 2011 14:28:52 +0100

Hi Sheng,

> In the IETF81 meeting, we have some quite different opinion regarding to whether we should recommend the usage of ULA. Some said it is very helpful for some scenario, particular to link multiple-si…

I think if our aim is to document current practice, then I suspect ULAs are not widely used at present.  It would be really good to hear from any enterprise (or other) sites that are using them.

> Authors' catch from the WG, mainly from Tim Chown (wg chair) and Mark Townsley is: ULA can be recommended, but ULA should not be the only IPv6 address on the hosts. If the host is allow to access o…

Indeed, I would personally assume ULAs are used alongside globals, not alone with NAT66.  At the enterprise scale, the issue then remains renumbering the global prefix when required.  If you consider that in your enterprise draft you have cited renumbering triggers that may be externally or internally driven, renumbering of ULAs may still be required for internal renumbering purposes (growth, reorganisation, etc).

There is likely to be some overlap here with homenet, in that such networks will need persistent, stable addressing, with routing potentially between multiple internal subnets.  Section 4.3 of RFC 6204 talks about ULA requirements for basic IPv6 CPE devices, for example. 

Tim

---

From: Mark Townsley <[email-masked]>
Date: Mon, 8 Aug 2011 09:41:33 -0500

> Indeed, I would personally assume ULAs are used alongside globals, not alone with NAT66.  At the enterprise scale, the issue then remains renumbering the global prefix when required.  If you consid…

The presentation and comment from both Apple and Microsoft during the homenet BoF both point to the desire for the network to provide a stable ULA with limited routing scope alongside a global address for Global Internet routing scope. If the network can provide this in a consistent manner, the OS will use this for incoming connection rules. e.g., an OS or app could allow or disallow incoming connections from "local" or "global" accordingly. 

- Mark

> _______________________________________________
> renum mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/renum

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 8 Aug 2011 17:25:52 +0200

There are two classes of network wrt to ULA:
- homenet like, this is residential users, with no fixed PA space but rather a dynamic prefix delegation. Those networks may indeed (or should even) use ULA to provide routed networking even when the SP link is down
- enterprise like, this is a managed network with a fixed PA space (or even PI space). Those networks are outside of homenet (my understanding at least). I know about NO enterprise using ULA, they all use global addresses (except may be in labs).

If 6renum focus is on enterprise, then we should clearly say 'ULA are NOT recommended'

-éric

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Tim
> Chown
> Sent: lundi 8 août 2011 15:29
> To: [email-masked]
> Subject: Re: [renum] Usage of ULA
> 
> Hi Sheng,
> 
> > In the IETF81 meeting, we have some quite different opinion regarding to
> whether we should recommend the usage of ULA. Some said it is very helpful
> for some scenario, particular to link multiple-site enterprise network
> together. Some said ULA addresses are dangerous, especially, they may be used
> like private addresses, therefore requests NAT66 services at the exit of
> enterprise network.
> 
> I think if our aim is to document current practice, then I suspect ULAs are
> not widely used at present.  It would be really good to hear from any
> enterprise (or other) sites that are using them.
> 
> > Authors' catch from the WG, mainly from Tim Chown (wg chair) and Mark
> Townsley is: ULA can be recommended, but ULA should not be the only IPv6
> address on the hosts. If the host is allow to access or be reachable by the
> internet (outside of enterprise network), the host should have at least a
> global IPv6 address besides ULA.
> 
> 
> Indeed, I would personally assume ULAs are used alongside globals, not alone
> with NAT66.  At the enterprise scale, the issue then remains renumbering the
> global prefix when required.  If you consider that in your enterprise draft
> you have cited renumbering triggers that may be externally or internally
> driven, renumbering of ULAs may still be required for internal renumbering
> purposes (growth, reorganisation, etc).
> 
> There is likely to be some overlap here with homenet, in that such networks
> will need persistent, stable addressing, with routing potentially between
> multiple internal subnets.  Section 4.3 of RFC 6204 talks about ULA
> requirements for basic IPv6 CPE devices, for example.
> 
> Tim

---

From: Mark Townsley <[email-masked]>
Date: Mon, 8 Aug 2011 10:32:41 -0500

> If 6renum focus is on enterprise, then we should clearly say 'ULA are NOT recommended'

That's fine for networks with administrators that follow recommendations.

- Mark

---

From: Teco Boot <[email-masked]>
Date: Mon, 8 Aug 2011 18:26:52 +0200

> If 6renum focus is on enterprise, then we should clearly say 'ULA are NOT recommended'

I would not recommend enterprise network administrators to use PA addresses for internal communication. This brings the SOHO / homenet model to enterprises that cannot acquire PI. And the need for smooth renumbering of PA addresses when switching SP.

Teco

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 09 Aug 2011 11:15:59 +1200

> If 6renum focus is on enterprise, then we should clearly say 'ULA are NOT recommended'

I don't understand that conclusion, and strongly dispute it.

On the contrary, I think ULAs are an excellent solution for a large enterprise
that wishes to be certain that some services are definitively not accessible
from outside. The servers (real or virtual) that provide those services would
be numbered out of the ULA prefix, and internal clients would access them
using their own ULA-derived address. The clients would of course use an address
derived from a globally routed prefix (whether PA or PI is irrelevant) for access
to global services.

This is discussed in more detail in RFC 4864. It helps with renumbering,
because the internal services will not be affected by renumbering of the
globally routed prefix(es).

Enterprise networks that don't use ULAs will be missing a good opportunity.

The underlying issue here is that enterprise networks need to get used to the
idea of running multiple simultaneous prefixes, of which one can conveniently
be a ULA prefix. Certainly this is a new idea to most IT managers.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 09 Aug 2011 11:18:11 +1200

Tim,

> I think if our aim is to document current practice...

I hope that the main aim is to recommend good practice, which may involve new methods.

Regards
   Brian

---

From: Seiichi Kawamura <[email-masked]>
Date: Tue, 09 Aug 2011 10:06:07 +0900

> I think if our aim is to document current practice, then I suspect ULAs are not widely used at present.  It would be really good to hear from any enterprise (or other) sites that are using them.

FWIW, I use ULA in my lab.
Devices that are allowed access to the internet
have both global and ULA. Devices not allowed access
to the internet only have ULA. No particular reason
for this. Just wanted to give it a try.

I've also been discussing this with our corporate IT people.
I think they prefer that hosts have ULA only, but are only
allowed access to the internet via a proxy (no NAT).

Regards,
Seiichi

---

From: Jiangsheng <[email-masked]>
Date: Tue, 09 Aug 2011 01:27:40 +0000

> Tim> I think if our aim is to document current practice...
> 
Brian> I hope that the main aim is to recommend good practice, which may
> involve new methods.

My understanding is that we are aim to document "the best" current practise. So if ULA is the solution, even it only been proved in lab or very narrow usage, it can still be the BCP. We may just state it like, "since it has not be widely used so far, there may be unexposed issues".

Sheng

---

From: Jiangsheng <[email-masked]>
Date: Tue, 09 Aug 2011 01:33:36 +0000

> Townsley is: ULA can be recommended, but ULA should not be the only
> IPv6 address on the hosts. If the host is allow to access or be
> reachable by the internet (outside of enterprise network), the host
> should have at least a global IPv6 address besides ULA.
> 
> 
> Indeed, I would personally assume ULAs are used alongside globals, not
> alone with NAT66.  At the enterprise scale, the issue then remains
> renumbering the global prefix when required.  If you consider that in
> your enterprise draft you have cited renumbering triggers that may be
> externally or internally driven, renumbering of ULAs may still be
> required for internal renumbering purposes (growth, reorganisation,
> etc).

This sounds the current best for me: ULAs are used alongside globals. Yes, renumbering of ULAs may still be required in some scenarios, but can be separated from renumbering of global prefix.

Sheng

---

From: "Prashant Jhingran (pjhingra)" <[email-masked]>
Date: Tue, 9 Aug 2011 07:09:45 +0530

I wonder if it's reasonable to assume end user devices to implement RFC
3484 (or any recent one) for Source Address Selection ? 

I have heard Linux implementing it but how about others Win7/Mac ?

-
Regards,
Prashant Jhingran

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Jiangsheng
Sent: Tuesday, August 09, 2011 6:58 AM
To: Brian E Carpenter; Tim Chown
Cc: [email-masked]
Subject: Re: [renum] Usage of ULA

> involve new methods.

My understanding is that we are aim to document "the best" current
practise. So if ULA is the solution, even it only been proved in lab or
very narrow usage, it can still be the BCP. We may just state it like,
"since it has not be widely used so far, there may be unexposed issues".

Sheng

---

From: Jiangsheng <[email-masked]>
Date: Tue, 09 Aug 2011 01:52:07 +0000

> - enterprise like, this is a managed network with a fixed PA space (or
> even PI space). Those networks are outside of homenet (my understanding
> at least). I know about NO enterprise using ULA, they all use global
> addresses (except may be in labs).
> 

I disagree the conclusion here. Yes, ULA is not widely used so far. But this does not prove ULA is a bad solution. Yes, hosts need global addresses; but this is IPv6 now, host can have multiple addresses at the same time. So, this does not prevent hosts have global + ULA. They are used for different purpose. If the conclusion changed to be "ULA ALONE are NOT recommended", I am fully agreed. (ULA alone may actually mean host access internet through NAT66).
 
Sheng
 
> IPv6

---

From: Jiangsheng <[email-masked]>
Date: Tue, 09 Aug 2011 01:57:36 +0000

> allowed access to the internet via a proxy (no NAT).

Hi, Seiichi,

This looks an extreme scenario for me. It actually means hosts are not allowed to access internet directly. All IP layer connections are blocked. Host are only able to visit an internal content cache (proxy). Is my understanding right? If that's the case, I believe it is not the common scenarios we discuss here.

Sheng

> Regards,
> Seiichi
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (MingW32)
> 
> iEYEARECAAYFAk5Ah/8ACgkQcrhTYfxyMkJ3HQCeNhDKhWlzhd8gHqgnMtNp5qp1
> yxcAnREdbteSeHnatOOqlSG+SICJfayf
> =iYLq
> -----END PGP SIGNATURE-----

---

From: Seiichi Kawamura <[email-masked]>
Date: Tue, 09 Aug 2011 11:14:18 +0900

Hi Sheng.

> This looks an extreme scenario for me. It actually means hosts are not allowed to access internet directly. All IP layer connections are blocked. Host are only able to visit an internal content cac…

Sorry that I got out of the scope of the WG goals.
Just wanted to answer Tim's question.

Regards,
Seiichi

---

From: "Leo Liu(bing)" <[email-masked]>
Date: Tue, 09 Aug 2011 08:48:01 +0000

Windows server2008, Windows Visa, support rfc3484: http://support.microsoft.com/kb/969029

It seems Mac OS X also support it: http://lists.apple.com/archives/ipv6-dev/2010/Mar/msg00003.html

So I guess rfc3484 has been widely supported.

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Prashant Jhingran (pjhingra)
> Sent: Tuesday, August 09, 2011 9:40 AM
> To: Jiangsheng; Brian E Carpenter; Tim Chown
> Cc: [email-masked]

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 9 Aug 2011 14:06:30 +0200

My recommendation against ULA for enterprise is based on several existing customers though... This is not a theory :-)

Regards

-éric

> From: Teco Boot [mailto:[email-masked]]
> Sent: lundi 8 août 2011 18:27
> To: Eric Vyncke (evyncke)
> Cc: Tim Chown; [email-masked]
> > - homenet like, this is residential users, with no fixed PA space but
> rather a dynamic prefix delegation. Those networks may indeed (or should
> even) use ULA to provide routed networking even when the SP link is down
> > - enterprise like, this is a managed network with a fixed PA space (or even
> PI space). Those networks are outside of homenet (my understanding at least).
> I know about NO enterprise using ULA, they all use global addresses (except
> may be in labs).
> >
> I would not recommend enterprise network administrators to use PA addresses
> for internal communication. This brings the SOHO / homenet model to
> enterprises that cannot acquire PI. And the need for smooth renumbering of PA
> addresses when switching SP.
> 
> Teco
> 
> >
> > -éric
> >
> >
> alone

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 9 Aug 2011 14:14:00 +0200

Brian and Jiangsheng,

Together with some colleagues, we have deployed actual IPv6 networks in US and EU enterprises (and not only Universities).

The combination of ULA + PA is simply unnecessary complications (as a change of PA requires anyway a renumbering) even if it works on paper. (my colleagues and myself were wrong at that point of time as we pushed ULA+PA... but this is way too complex).

ULA alone requires NPT66 and I daresay that none of us really want this :-)

Again, the above is for 'normal' enterprises not for residential home networks.

And, by the way, there is nothing about security in ULA... if routing information leaks, then your ULA is obviously reachable. Or your ULA can send packets to the outside PA space (if anti-spoofing/anti-bogons is not applied), welcome to Trojan...

And, regarding PI, the cost of PI space is paper work (and being dual-home) + a couple of 1000 USD/EUR => which is negligible wrt to OPEX cost saving (or even CAPEX to buy a NPT66 device).

-éric

> From: Jiangsheng [mailto:[email-masked]]
> Sent: mardi 9 août 2011 03:52
> To: Eric Vyncke (evyncke); Tim Chown; [email-masked]
> Subject: RE: [renum] Usage of ULA
> 
> I disagree the conclusion here. Yes, ULA is not widely used so far. But this
> does not prove ULA is a bad solution. Yes, hosts need global addresses; but
> this is IPv6 now, host can have multiple addresses at the same time. So, this
> does not prevent hosts have global + ULA. They are used for different
> purpose. If the conclusion changed to be "ULA ALONE are NOT recommended", I
> am fully agreed. (ULA alone may actually mean host access internet through
> NAT66).
> 
> Sheng
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Aug 2011 09:27:56 +1200

> My recommendation against ULA for enterprise is based on several existing customers though... This is not a theory :-)

I'm fully aware that current enterprise network managers don't find this
solution compelling. But we are talking about the next thirty years, not
the previous thirty years.

> The combination of ULA + PA is simply unnecessary complications (as a change of PA requires anyway a renumbering) even if it works on paper. (my colleagues and myself were wrong at that point of ti…

You seem to be ignoring the arguments for this solution. Since I have already
co-authored an RFC that explains those arguments, I won't repeat myself again...

> ULA alone requires NPT66 and I daresay that none of us really want this :-)

Certainly not, although I fully expect to see it sold and deployed. Such sites
won't need to renumber, so we can ignore them.

> And, regarding PI, the cost of PI space is paper work (and being dual-home) + a couple of 1000 USD/EUR => which is negligible wrt to OPEX cost saving (or even CAPEX to buy a NPT66 device).

The cost of PI is that it will eventually stretch the BGP4 system beyond its scaling
limit. See RFC 4984 and RFC 6115 for example. We have a collective duty to find
an alternative. In fact that's the fundamental reason why this WG exists.

I think Sheng was right previously. We should treat ULA as a part of the landscape,
which will be used by some enterprises but not others. A recommendation either
way is out of scope.

In fact the same would apply to PI vs PA. It's mainly orthogonal to renumbering.

One thing we can't ignore is that a site may be operating multiple prefixes
Whether they are PI, PA or ULA is secondary.

   Brian

---

From: Teco Boot <[email-masked]>
Date: Wed, 10 Aug 2011 17:40:32 +0200

+1
And inline remark.

> won't need to renumber, so we can ignore them.

Sites with NPT66 can have a need to renumber.
Reasons (from RFC 5887 intro):

   o  Change of site topology (i.e., subnet reorganisation).

   o  Merger of two site networks into one, or split of one network into
      two or more parts.

Teco

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 11 Aug 2011 09:39:13 +1200

> And inline remark.

Yes, you're correct!

   Brian

---

From: "George, Wesley" <[email-masked]>
Date: Thu, 11 Aug 2011 11:00:32 -0400

Top-posting because I can't find a good place to insert it into the thread...

I think we need to cover ULA, but I don't know if it's really special as a renumbering case, and would like to see us discuss (on list) what, if any, special treatment it might need when hosts with ULA need to be renumbered to determine if it really does need to be treated separately or whether we simply note that the techniques will work with ULA just like any other global-scope address.

Then there's the separate question about whether to recommend ULA as a way to potentially reduce the cases where renumbering would need to take place. I think it's worth discussing, but we probably need to have some additional discussion on exactly which cases it would help, and the tradeoffs to using ULA to solve that problem. We're not there yet based on the current discussion.
I think part of the problem is that people are conflating possibly valid ULA use cases with things like addressing devices with only a ULA plus NAT66 or a proxy to limit reachability in order to somewhat replicate the behavior of RFC1918 addresses + NAT44 in IPv6. I don't believe that the renumbering working group is the right forum to have a discussion about whether that's an acceptable idea or a Very Bad Idea (tm). I'd say that v6ops would be a better place to author "ULA-only + NAT66 considered harmful" or "General recommendations on usage of ULA in the enterprise."
Let's try to focus the discussion on the assumption that there are still going to be instances like those defined in RFC1918 (specifically, Category 1) in the IPv6 world, perhaps coupled with a small discussion in the draft about the likelihood of multiple addresses each with a different reachability scope being present on many devices as a matter of common practice.

Thanks,

Wes

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Teco Boot
Sent: Wednesday, August 10, 2011 11:41 AM
To: Brian E Carpenter
Cc: [email-masked]
Subject: Re: [renum] Usage of ULA

+1
And inline remark.

Teco

This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: Jiangsheng <[email-masked]>
Date: Fri, 12 Aug 2011 02:19:22 +0000

Fully agree with George. Yes, we need to cover ULA in the enterprise renumbering draft since it is a current practise. But, we don't have to make a judge in 6renum. What is in WG scope is to document: ULA is there, its renumbering can be separated from global prefix renumbering and in which case ULA also needs to be renumbering.

The discussion of general ULA usage should fit in v6ops wg. I (calling contributors here) will write a v6ops draft to analysis this. Of course, reducing the renumbering requirements would be considered, too. If consensus can be reached after analysis and discussion in v6ops, there may be recommendations.

Sheng

> Of George, Wesley
> Sent: Thursday, August 11, 2011 11:01 PM
> To: Teco Boot; Brian E Carpenter
> Cc: [email-masked]
> I think we need to cover ULA, but I don't know if it's really special
> as a renumbering case, and would like to see us discuss (on list) what,
> if any, special treatment it might need when hosts with ULA need to be
> renumbered to determine if it really does need to be treated separately
> or whether we simply note that the techniques will work with ULA just
> like any other global-scope address.
> 
> Then there's the separate question about whether to recommend ULA as a
> way to potentially reduce the cases where renumbering would need to
> take place. I think it's worth discussing, but we probably need to have
> some additional discussion on exactly which cases it would help, and
> the tradeoffs to using ULA to solve that problem. We're not there yet
> based on the current discussion.
> I think part of the problem is that people are conflating possibly
> valid ULA use cases with things like addressing devices with only a ULA
> plus NAT66 or a proxy to limit reachability in order to somewhat
> replicate the behavior of RFC1918 addresses + NAT44 in IPv6. I don't
> believe that the renumbering working group is the right forum to have a
> discussion about whether that's an acceptable idea or a Very Bad Idea
> (tm). I'd say that v6ops would be a better place to author "ULA-only +
> NAT66 considered harmful" or "General recommendations on usage of ULA
> in the enterprise."
> Let's try to focus the discussion on the assumption that there are
> still going to be instances like those defined in RFC1918 (specifically,
> Category 1) in the IPv6 world, perhaps coupled with a small discussion
> in the draft about the likelihood of multiple addresses each with a
> different reachability scope being present on many devices as a matter
> of common practice.
> 
> Thanks,
> 
> Wes
> 
> 
> Of Teco Boot
> >> My recommendation against ULA for enterprise is based on several
> existing customers though... This is not a theory :-)
> >
> >> Together with some colleagues, we have deployed actual IPv6 networks
> in US and EU enterprises (and not only Universities).
> >>
> >> The combination of ULA + PA is simply unnecessary complications (as
> a change of PA requires anyway a renumbering) even if it works on paper.
> (my colleagues and myself were wrong at that point of time as we pushed
> ULA+PA... but this is way too complex).
> 
> 
> >
> >> And, by the way, there is nothing about security in ULA... if
> routing information leaks, then your ULA is obviously reachable. Or
> your ULA can send packets to the outside PA space (if anti-
> spoofing/anti-bogons is not applied), welcome to Trojan...
> >>
> >> And, regarding PI, the cost of PI space is paper work (and being
> dual-home) + a couple of 1000 USD/EUR => which is negligible wrt to
> OPEX cost saving (or even CAPEX to buy a NPT66 device).
> >
> >>>> If 6renum focus is on enterprise, then we should clearly say 'ULA
> are
> >>>> NOT recommended'
> >>>>> whether we should recommend the usage of ULA. Some said it is
> very
> >>>> helpful
> >>>>> together. Some said ULA addresses are dangerous, especially, they
> may
> >>>> be used
> >>>>> like private addresses, therefore requests NAT66 services at the
> exit
> >>>> of
> >>>>> enterprise network.
> >>>>>
> >>>>> I think if our aim is to document current practice, then I
> suspect
> >>>> ULAs are
> >>>>> address on the hosts. If the host is allow to access or be
> reachable
> >>>> by the
> >>>>> global prefix when required.  If you consider that in your
> enterprise
> >>>> draft
> >>>>> There is likely to be some overlap here with homenet, in that
> such
> >>>> networks
> This E-mail and any of its attachments may contain Time Warner Cable
> proprietary information, which is privileged, confidential, or subject
> to copyright belonging to Time Warner Cable. This E-mail is intended
> solely for the use of the individual or entity to which it is addressed.
> If you are not the intended recipient of this E-mail, you are hereby
> notified that any dissemination, distribution, copying, or action taken
> in relation to the contents of and attachments to this E-mail is
> strictly prohibited and may be unlawful. If you have received this E-
> mail in error, please notify the sender immediately and permanently
> delete the original and any copy of this E-mail and any printout.

---

From: Roger Jørgensen <[email-masked]>
Date: Sun, 14 Aug 2011 11:19:51 +0200

> derived from a globally routed prefix (whether PA or PI is irrelevant) for access

Agree, ULA are perfect for internal usage for an enterprise. Shared document
store that should not be exposed to the world etc. Of course the world can get
access to it through other but that will always be the case anyway.

And for home network I would say internal services should prefer ULA addresses
for communication on the LAN, or even link-local, and only use global addresses
when leaving the site.

> be a ULA prefix. Certainly this is a new idea to most IT managers.

considering how hard it is for some to understand that RFC1918 addresses are
not unique for their site and that it will be collision when using
it... the change of
having to consider two or more prefixes are for sure to be a challenge.

However, I think it is not a technical challenge, more education and
that can be
fixed with information and courses :)

Anyone know if Cisco (and the other) teach this sort of thing in their courses
today?

-- 

Roger Jorgensen           |
[email-masked]          | - IPv6 is The Key!
http://www.jorgensen.no   | [email-masked]